Index: kernel/generic/include/adt/avl.h
===================================================================
--- kernel/generic/include/adt/avl.h	(revision eadaeae8dacc68cf558028f23cc96b90a08b7361)
+++ kernel/generic/include/adt/avl.h	(revision 1433ecda9b732f3f185f902feb26826ec2496e03)
@@ -57,9 +57,8 @@
 typedef uint64_t avltree_key_t;
 
-typedef bool (* avltree_walker_t)(avltree_node_t *, void *);
+typedef bool (*avltree_walker_t)(avltree_node_t *, void *);
 
 /** AVL tree node structure. */
-struct avltree_node
-{
+struct avltree_node {
 	/**
 	 * Pointer to the left descendant of this node.
@@ -92,6 +91,5 @@
 
 /** AVL tree structure. */
-struct avltree
-{
+struct avltree {
 	/** AVL root node pointer */
 	struct avltree_node *root;
Index: kernel/generic/include/adt/cht.h
===================================================================
--- kernel/generic/include/adt/cht.h	(revision eadaeae8dacc68cf558028f23cc96b90a08b7361)
+++ kernel/generic/include/adt/cht.h	(revision 1433ecda9b732f3f185f902feb26826ec2496e03)
@@ -134,5 +134,5 @@
 extern bool cht_create_simple(cht_t *h, cht_ops_t *op);
 extern bool cht_create(cht_t *h, size_t init_size, size_t min_size,
-	size_t max_load, bool can_block, cht_ops_t *op);
+    size_t max_load, bool can_block, cht_ops_t *op);
 extern void cht_destroy(cht_t *h);
 extern void cht_destroy_unsafe(cht_t *h);
Index: kernel/generic/include/bitops.h
===================================================================
--- kernel/generic/include/bitops.h	(revision eadaeae8dacc68cf558028f23cc96b90a08b7361)
+++ kernel/generic/include/bitops.h	(revision 1433ecda9b732f3f185f902feb26826ec2496e03)
@@ -39,9 +39,9 @@
 
 #ifdef __32_BITS__
-	#define fnzb(arg)  fnzb32(arg)
+#define fnzb(arg)  fnzb32(arg)
 #endif
 
 #ifdef __64_BITS__
-	#define fnzb(arg)  fnzb64(arg)
+#define fnzb(arg)  fnzb64(arg)
 #endif
 
Index: kernel/generic/include/byteorder.h
===================================================================
--- kernel/generic/include/byteorder.h	(revision eadaeae8dacc68cf558028f23cc96b90a08b7361)
+++ kernel/generic/include/byteorder.h	(revision 1433ecda9b732f3f185f902feb26826ec2496e03)
@@ -39,5 +39,5 @@
 
 #if !(defined(__BE__) ^ defined(__LE__))
-	#error The architecture must be either big-endian or little-endian.
+#error The architecture must be either big-endian or little-endian.
 #endif
 
Index: kernel/generic/include/console/chardev.h
===================================================================
--- kernel/generic/include/console/chardev.h	(revision eadaeae8dacc68cf558028f23cc96b90a08b7361)
+++ kernel/generic/include/console/chardev.h	(revision 1433ecda9b732f3f185f902feb26826ec2496e03)
@@ -55,8 +55,8 @@
 typedef struct {
 	/** Read character directly from device, assume interrupts disabled. */
-	wchar_t (* poll)(struct indev *);
+	wchar_t (*poll)(struct indev *);
 
 	/** Signal out-of-band condition. */
-	void (* signal)(struct indev *, indev_signal_t);
+	void (*signal)(struct indev *, indev_signal_t);
 } indev_operations_t;
 
@@ -82,14 +82,14 @@
 typedef struct {
 	/** Write character to output. */
-	void (* write)(struct outdev *, wchar_t);
+	void (*write)(struct outdev *, wchar_t);
 
 	/** Redraw any previously cached characters. */
-	void (* redraw)(struct outdev *);
+	void (*redraw)(struct outdev *);
 
 	/** Scroll up in the device cache. */
-	void (* scroll_up)(struct outdev *);
+	void (*scroll_up)(struct outdev *);
 
 	/** Scroll down in the device cache. */
-	void (* scroll_down)(struct outdev *);
+	void (*scroll_down)(struct outdev *);
 } outdev_operations_t;
 
Index: kernel/generic/include/console/kconsole.h
===================================================================
--- kernel/generic/include/console/kconsole.h	(revision eadaeae8dacc68cf558028f23cc96b90a08b7361)
+++ kernel/generic/include/console/kconsole.h	(revision 1433ecda9b732f3f185f902feb26826ec2496e03)
@@ -81,5 +81,5 @@
 	const char *description;
 	/** Function implementing the command. */
-	int (* func)(cmd_arg_t *);
+	int (*func)(cmd_arg_t *);
 	/** Number of arguments. */
 	size_t argc;
@@ -87,5 +87,5 @@
 	cmd_arg_t *argv;
 	/** Function for printing detailed help. */
-	void (* help)(void);
+	void (*help)(void);
 	/** Function for enumerating hints for arguments. */
 	hints_enum_func_t hints_enum;
Index: kernel/generic/include/ddi/irq.h
===================================================================
--- kernel/generic/include/ddi/irq.h	(revision eadaeae8dacc68cf558028f23cc96b90a08b7361)
+++ kernel/generic/include/ddi/irq.h	(revision 1433ecda9b732f3f185f902feb26826ec2496e03)
@@ -57,8 +57,8 @@
 struct irq;
 
-typedef void (* irq_handler_t)(struct irq *);
+typedef void (*irq_handler_t)(struct irq *);
 
 /** Type for function used to clear the interrupt. */
-typedef void (* cir_t)(void *, inr_t);
+typedef void (*cir_t)(void *, inr_t);
 
 /** IPC notification config structure.
@@ -114,5 +114,5 @@
 	irq_trigger_t trigger;
 	/** Claim ownership of the IRQ. */
-	irq_ownership_t (* claim)(struct irq *);
+	irq_ownership_t (*claim)(struct irq *);
 	/** Handler for this IRQ and device. */
 	irq_handler_t handler;
Index: kernel/generic/include/interrupt.h
===================================================================
--- kernel/generic/include/interrupt.h	(revision eadaeae8dacc68cf558028f23cc96b90a08b7361)
+++ kernel/generic/include/interrupt.h	(revision 1433ecda9b732f3f185f902feb26826ec2496e03)
@@ -47,5 +47,5 @@
 #include <arch/istate.h>
 
-typedef void (* iroutine_t)(unsigned int, istate_t *);
+typedef void (*iroutine_t)(unsigned int, istate_t *);
 
 typedef struct {
Index: kernel/generic/include/mm/as.h
===================================================================
--- kernel/generic/include/mm/as.h	(revision eadaeae8dacc68cf558028f23cc96b90a08b7361)
+++ kernel/generic/include/mm/as.h	(revision 1433ecda9b732f3f185f902feb26826ec2496e03)
@@ -126,9 +126,9 @@
 
 typedef struct {
-	pte_t *(* page_table_create)(unsigned int);
-	void (* page_table_destroy)(pte_t *);
-	void (* page_table_lock)(as_t *, bool);
-	void (* page_table_unlock)(as_t *, bool);
-	bool (* page_table_locked)(as_t *);
+	pte_t *(*page_table_create)(unsigned int);
+	void (*page_table_destroy)(pte_t *);
+	void (*page_table_lock)(as_t *, bool);
+	void (*page_table_unlock)(as_t *, bool);
+	bool (*page_table_locked)(as_t *);
 } as_operations_t;
 
@@ -237,17 +237,17 @@
 /** Address space area backend structure. */
 typedef struct mem_backend {
-	bool (* create)(as_area_t *);
-	bool (* resize)(as_area_t *, size_t);
-	void (* share)(as_area_t *);
-	void (* destroy)(as_area_t *);
-
-	bool (* is_resizable)(as_area_t *);
-	bool (* is_shareable)(as_area_t *);
-
-	int (* page_fault)(as_area_t *, uintptr_t, pf_access_t);
-	void (* frame_free)(as_area_t *, uintptr_t, uintptr_t);
-
-	bool (* create_shared_data)(as_area_t *);
-	void (* destroy_shared_data)(void *);
+	bool (*create)(as_area_t *);
+	bool (*resize)(as_area_t *, size_t);
+	void (*share)(as_area_t *);
+	void (*destroy)(as_area_t *);
+
+	bool (*is_resizable)(as_area_t *);
+	bool (*is_shareable)(as_area_t *);
+
+	int (*page_fault)(as_area_t *, uintptr_t, pf_access_t);
+	void (*frame_free)(as_area_t *, uintptr_t, uintptr_t);
+
+	bool (*create_shared_data)(as_area_t *);
+	void (*destroy_shared_data)(void *);
 } mem_backend_t;
 
Index: kernel/generic/include/panic.h
===================================================================
--- kernel/generic/include/panic.h	(revision eadaeae8dacc68cf558028f23cc96b90a08b7361)
+++ kernel/generic/include/panic.h	(revision 1433ecda9b732f3f185f902feb26826ec2496e03)
@@ -65,5 +65,5 @@
 
 extern void panic_common(panic_category_t, struct istate *, int,
-    uintptr_t, const char *, ...) __attribute__ ((noreturn))
+    uintptr_t, const char *, ...) __attribute__((noreturn))
     _HELENOS_PRINTF_ATTRIBUTE(5, 6);
 
Index: kernel/generic/include/synch/rcu.h
===================================================================
--- kernel/generic/include/synch/rcu.h	(revision eadaeae8dacc68cf558028f23cc96b90a08b7361)
+++ kernel/generic/include/synch/rcu.h	(revision 1433ecda9b732f3f185f902feb26826ec2496e03)
@@ -113,5 +113,5 @@
 extern void rcu_cpu_init(void);
 extern void rcu_kinit_init(void);
-extern void rcu_thread_init(struct thread*);
+extern void rcu_thread_init(struct thread *);
 extern void rcu_thread_exiting(void);
 extern void rcu_after_thread_ran(void);
Index: kernel/generic/include/time/timeout.h
===================================================================
--- kernel/generic/include/time/timeout.h	(revision eadaeae8dacc68cf558028f23cc96b90a08b7361)
+++ kernel/generic/include/time/timeout.h	(revision 1433ecda9b732f3f185f902feb26826ec2496e03)
@@ -40,5 +40,5 @@
 #include <stdint.h>
 
-typedef void (* timeout_handler_t)(void *arg);
+typedef void (*timeout_handler_t)(void *arg);
 
 typedef struct {
Index: kernel/generic/include/userspace.h
===================================================================
--- kernel/generic/include/userspace.h	(revision eadaeae8dacc68cf558028f23cc96b90a08b7361)
+++ kernel/generic/include/userspace.h	(revision 1433ecda9b732f3f185f902feb26826ec2496e03)
@@ -40,5 +40,5 @@
 
 /** Switch to user-space (CPU user priviledge level) */
-extern void userspace(uspace_arg_t *uarg) __attribute__ ((noreturn));
+extern void userspace(uspace_arg_t *uarg) __attribute__((noreturn));
 
 #endif
